import { __rest } from "tslib";
import * as React from 'react';
import styles from '@patternfly/react-styles/css/components/Toolbar/toolbar.mjs';
import { css } from '@patternfly/react-styles';
import { canUseDOM } from '../../helpers/util';
import { ToolbarItem } from './ToolbarItem';
import { Button } from '../Button';
import { ToolbarGroup } from './ToolbarGroup';
import { globalBreakpoints } from './ToolbarUtils';
class ToolbarLabelGroupContent extends React.Component {
    render() {
        const _a = this.props, { className, isExpanded, labelGroupContentRef, clearAllFilters, showClearFiltersButton, clearFiltersButtonText, collapseListedFiltersBreakpoint, numberOfFilters, numberOfFiltersText, customLabelGroupContent } = _a, props = __rest(_a, ["className", "isExpanded", "labelGroupContentRef", "clearAllFilters", "showClearFiltersButton", "clearFiltersButtonText", "collapseListedFiltersBreakpoint", "numberOfFilters", "numberOfFiltersText", "customLabelGroupContent"]);
        const clearLabelGroups = () => {
            clearAllFilters();
        };
        let collapseListedFilters = false;
        if (collapseListedFiltersBreakpoint === 'all') {
            collapseListedFilters = true;
        }
        else if (canUseDOM) {
            collapseListedFilters =
                (canUseDOM ? window.innerWidth : 1200) < globalBreakpoints[collapseListedFiltersBreakpoint];
        }
        const isHidden = numberOfFilters === 0 || isExpanded;
        const showNumberOfFilters = collapseListedFilters && numberOfFilters > 0 && !isExpanded;
        const showDefaultClearFilter = showClearFiltersButton && !isExpanded && !customLabelGroupContent;
        return (React.createElement("div", Object.assign({ className: css(styles.toolbarContent, isHidden && styles.modifiers.hidden, className) }, ((numberOfFilters === 0 || isExpanded) && { hidden: true }), { ref: labelGroupContentRef }, props),
            React.createElement(ToolbarGroup, Object.assign({ className: css(collapseListedFilters && styles.modifiers.hidden) }, (collapseListedFilters && { hidden: true }), (collapseListedFilters && { 'aria-hidden': true }))),
            (showNumberOfFilters || showDefaultClearFilter || customLabelGroupContent) && (React.createElement(ToolbarGroup, { variant: "action-group-inline" },
                showNumberOfFilters && React.createElement(ToolbarItem, null, numberOfFiltersText(numberOfFilters)),
                showDefaultClearFilter && (React.createElement(ToolbarItem, null,
                    React.createElement(Button, { variant: "link", onClick: clearLabelGroups, isInline: true }, clearFiltersButtonText))),
                customLabelGroupContent && customLabelGroupContent))));
    }
}
ToolbarLabelGroupContent.displayName = 'ToolbarLabelGroupContent';
ToolbarLabelGroupContent.defaultProps = {
    clearFiltersButtonText: 'Clear all filters',
    collapseListedFiltersBreakpoint: 'lg',
    numberOfFiltersText: (numberOfFilters) => `${numberOfFilters} filters applied`
};
export { ToolbarLabelGroupContent };
//# sourceMappingURL=ToolbarLabelGroupContent.js.map